# Generated by Django 4.2.7 on 2023-11-23 01:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('home', '0009_usuarios_delete_usuario'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cambio',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Descripcion', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Cita',
            fields=[
                ('Numero', models.AutoField(primary_key=True, serialize=False)),
                ('Fecha', models.DateField()),
                ('Hora', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Maquina',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Descripcion', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Marca',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Tecnico',
            fields=[
                ('Numero', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('NomPila', models.CharField(max_length=30)),
                ('PrimApell', models.CharField(max_length=30)),
                ('SegApell', models.CharField(max_length=30, null=True)),
                ('NumTel', models.CharField(max_length=15)),
                ('Correo', models.CharField(max_length=60)),
                ('Usuario', models.CharField(max_length=60)),
                ('Contraseña', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='TipoMaquina',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=30)),
                ('Descripcion', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Servicio',
            fields=[
                ('Numero', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('Descripcion', models.CharField(max_length=200)),
                ('Cita', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.cita')),
                ('Maquina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.maquina')),
            ],
        ),
        migrations.CreateModel(
            name='Modelo',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=30)),
                ('Año', models.IntegerField(null=True)),
                ('Marca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.marca')),
            ],
        ),
        migrations.AddField(
            model_name='maquina',
            name='Marca',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.marca'),
        ),
        migrations.AddField(
            model_name='maquina',
            name='Modelo',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.modelo'),
        ),
        migrations.AddField(
            model_name='maquina',
            name='Tipo_Maquina',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.tipomaquina'),
        ),
        migrations.AddField(
            model_name='cita',
            name='Tecnico',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.tecnico'),
        ),
        migrations.AddField(
            model_name='cita',
            name='Usuario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.usuarios'),
        ),
        migrations.CreateModel(
            name='ServCambio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Cantidad', models.IntegerField()),
                ('Cambio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.cambio')),
                ('Servicio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.servicio')),
            ],
            options={
                'unique_together': {('Servicio', 'Cambio')},
            },
        ),
    ]
